アプリケーションを削除する
DELETE /v1/applications/{application_id} · 権限 applications:write
アプリケーションをリダイレクトURI、API付与、接続リストとともに削除します。If-Matchは必須です。なければ428、古いバージョンなら412です。
リクエスト
| パラメーター | 場所 | 説明 |
|---|---|---|
application_id |
path | アプリケーションID(app_…)。 |
If-Match |
header | 読み取った版のETag。 |
レスポンス
204 No Content。
エラー
| HTTP | code |
状況 |
|---|---|---|
| 401 | unauthenticated |
キーが見つからない、無効、またはアクティベーション解除されている。 |
| 403 | insufficient_permissions |
キーが必要な権限を持っていない。 |
| 404 | not_found |
この環境にアプリケーションが存在しない。 |
| 428 | precondition_required |
If-Matchヘッダーがない。 |
| 412 | precondition_failed |
If-Match内の版が古い。 |
例
curl -X DELETE https://api.eu.keenauth.com/v1/applications/app_6f8d0cjgbmf0gtn2rg6pscp3cg \
-H "Authorization: Bearer $KEENAUTH_SECRET_KEY" \
-H 'If-Match: "2"'